Main Page Modules Data Structures File List Data Fields Globals Related Pages

# pcap_if Struct Reference
[Definitions]

Item in a list of interfaces, used by pcap_findalldevs(). More...

`#include <pcap.h>`

## Data Fields
pcap_if * | next
| if not NULL, a pointer to the next element in the list; NULL for the last element of the list
char * | name
| a pointer to a string giving a name for the device to pass to pcap_open_live()
char * | description
| if not NULL, a pointer to a string giving a human-readable description of the device
pcap_addr * | addresses
| a pointer to the first element of a list of addresses for the interface
u_int | flags
| PCAP_IF_ interface flags. Currently the only possible flag is PCAP_IF_LOOPBACK, that is set if the interface is a loopback interface.

## Detailed Description

Item in a list of interfaces, used by pcap_findalldevs().

Definition at line 148 of file incs/pcap.h.

## Field Documentation

struct pcap_addr* addresses

| a pointer to the first element of a list of addresses for the interface Definition at line 152 of file incs/pcap.h. Referenced by add_addr_to_iflist(), add_or_find_if(), daemon_findalldevs(), and pcap_freealldevs().

char* description

| if not NULL, a pointer to a string giving a human-readable description of the device Definition at line 151 of file incs/pcap.h. Referenced by add_or_find_if(), daemon_findalldevs(), main(), and pcap_freealldevs().

u_int flags

| PCAP_IF_ interface flags. Currently the only possible flag is PCAP_IF_LOOPBACK, that is set if the interface is a loopback interface. Definition at line 153 of file incs/pcap.h. Referenced by add_or_find_if(), and daemon_findalldevs().

char* name

| a pointer to a string giving a name for the device to pass to pcap_open_live() Definition at line 150 of file incs/pcap.h. Referenced by add_or_find_if(), daemon_findalldevs(), main(), and pcap_freealldevs().

struct pcap_if* next

| if not NULL, a pointer to the next element in the list; NULL for the last element of the list Definition at line 149 of file incs/pcap.h. Referenced by add_or_find_if(), daemon_findalldevs(), main(), and pcap_freealldevs().

The documentation for this struct was generated from the following file:

- incs/pcap.h

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.